### Hierarchy

- unknown
  - CryptoCurrency

## Index

### Constructors

- constructor

### Methods

- getIsAsset
- serializeBinary
- setIsAsset
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CryptoCurrency(): CryptoCurrency

- Inherited from jspb.Message.constructor

  #### Returns CryptoCurrency

## Methods

### getIsAsset

- getIsAsset(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8032

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8035

  #### Returns Uint8Array

### setIsAsset

- setIsAsset(value: boolean): CryptoCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8033

  #### Parameters

  - ##### value: boolean

  #### Returns CryptoCurrency

### toObject

- toObject(includeInstance?: boolean): CryptoCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8036

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CryptoCurrency . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CryptoCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8039

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CryptoCurrency

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CryptoCurrency, reader: BinaryReader): CryptoCurrency

- - Defined in src/protobuf/pb_pb.d.ts:8040

  #### Parameters

  - ##### message: CryptoCurrency

  - ##### reader: BinaryReader

  #### Returns CryptoCurrency

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CryptoCurrency, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8038

  #### Parameters

  - ##### message: CryptoCurrency

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CryptoCurrency ): CryptoCurrency . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8037

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CryptoCurrency

  #### Returns CryptoCurrency . AsObject

Generated using TypeDoc